﻿@using System.Web.UI.WebControls;

<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order Creation Date";
                }).GetHtml()      
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OMOrderCreationDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()                     
        </td>
        <td style="width:80px"></td>
         <td>
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "OMSearchButton";
                    settings.Text = "Search";
                    settings.Width = Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "OnOMSearchButtonClick";
                }).GetHtml()
        </td>
        <td style="padding-left:2px">
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "OMClearButton";
                        settings.Text = "Clear";
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        settings.ClientSideEvents.Click = "OnOMClearButtonClick";
                    }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
</table>